# Gnatmake completion by Ralf_Schroth@t-online.de (Ralf Schroth)

have gnatmake &&
_gnatmake()
{
    local cur

    COMPREPLY=()
    _get_comp_words_by_ref cur

    if [[ "$cur" == -* ]]; then
        # relevant (and less relevant ;-) )options completion
        COMPREPLY=( $( compgen -W '-a -c -f -i -j -k -m -M -n -o \
            -q -s -v -z -aL -A -aO -aI -I -I- -L -nostdinc \
           -nostdlib -cargs -bargs -largs -fstack-check \
           -fno-inline -g -O1 -O0 -O2 -O3 -gnata -gnatA \
           -gnatb -gnatc -gnatd -gnatD -gnate -gnatE \
           -gnatf -gnatF -gnatg -gnatG -gnath -gnati \
           -gnatk -gnatl -gnatL -gnatm -gnatn -gnato \
           -gnatO -gnatp -gnatP -gnatq -gnatR -gnats \
           -gnatt -gnatT -gnatu -gnatU -gnatv -gnatws \
           -gnatwe -gnatwl -gnatwu -gnatW -gnatx -gnatX \
           -gnaty -gnatz -gnatZ -gnat83' -- "$cur" ) )
    else
        # source file completion
        _filedir '@(adb|ads)'
    fi
} &&
complete -F _gnatmake -o filenames gnatmake

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
